=== debian/changelog ===
xresprobe (0.4.10) warty; urgency=low

  * xprobe.sh: Respect TMPDIR environment variable.

 -- Daniel Stone <daniel.stone@canonical.com>  Thu, 30 Sep 2004 18:05:11 +1000

xresprobe (0.4.9) warty; urgency=low

  * Add monitor range/name/et al detection code back to ddcprobe; this was
    lost in the dtiming fix.
  * Fix a warning in ddcprobe by explicitly casting to unsigned char *.

 -- Daniel Stone <daniel.stone@canonical.com>  Sat, 25 Sep 2004 17:54:02 +1000

xresprobe (0.4.8) warty; urgency=low

  * Add proper detection of panel size to nv; conditional on backported driver
    from X.Org.  Keep the xf86SetMode part as a fallback.
  * Really fix detection of duplicate modes in ddcprobe.sh.
  * New testcase: really weird monitor that reports some totally wack modes
    (blacklist 2288x1430).
  * Add some really rudimentary debugging to ddcprobe.sh.
  * Added proper detailed timing code to ddcprobe.c, which calculates the
    resolution and frequency from the detailed timing, and the requisite
    support in ddcprobe.sh.
  * Added UNDETECTABLE file, listing the setups we can't properly detect
    resolutions on; right now, this is just r4xx, because I need to flex my
    grep muscles a little harder.  Ho hum.  Also list amd64, because we don't
    have DDC for it yet.

 -- Daniel Stone <daniel.stone@canonical.com>  Sat, 18 Sep 2004 05:40:16 +1000

xresprobe (0.4.7) warty; urgency=low

  * Fix multiple resolution sort; when the top resolution has two refresh
    rates, ensure that it gets returned as a valid resolution (thanks, Martin
    Pitt and LaMont Jones).

 -- Daniel Stone <daniel.stone@canonical.com>  Wed, 15 Sep 2004 07:30:19 -0700

xresprobe (0.4.6) warty; urgency=low

  * Silently refuse to start unless XRESPROBE_FORCE_PROBE is set if we're
    running on i810 and there's already an X display active.

 -- Daniel Stone <daniel.stone@canonical.com>  Tue, 14 Sep 2004 00:11:32 -0700

xresprobe (0.4.5) warty; urgency=low

  * The 'uploading more often than Thom' release.
  * Typo: s/XPROBE_DEBUG/XRESPROBE_DEBUG/ to make really, really sure it's not
    nuking the log dir (thanks mdz).

 -- Daniel Stone <daniels@debian.org>  Mon, 13 Sep 2004 17:14:46 +1000

xresprobe (0.4.4) warty; urgency=low

  * Stop returning 1234x567@89 (i.e. freqency) with only one resolution.

 -- Daniel Stone <daniel.stone@canonical.com>  Mon, 13 Sep 2004 11:37:02 +1000

xresprobe (0.4.3) warty; urgency=low

  * Make xprobe.sh explicitly call /etc/X11/X (thanks, Matt Zimmerman).

 -- Daniel Stone <daniels@debian.org>  Sun, 12 Sep 2004 12:19:37 +1000

xresprobe (0.4.2) warty; urgency=low

  * Fix up debugging so temporary directory for the probe is not deleted when
    debugging.

 -- Daniel Stone <daniels@debian.org>  Sat, 11 Sep 2004 12:40:54 +1000

xresprobe (0.4.1) warty; urgency=low

  * Add debugging to scripts, accessible by setting the XRESPROBE_DEBUG
    variable.

 -- Daniel Stone <daniels@debian.org>  Sat, 11 Sep 2004 12:25:29 +1000

xresprobe (0.4) warty; urgency=low

  * Move to making a native package, as there's no point with an orig.
  * Detect LCDs when doing DDC probes, and use their highest-probed
    resolution, as opposed to the n-1 metric, which is better for CRTs.
  * When doing n-1 on CRTs, don't display the highest resolution at all, as
    that leads to virtual != resolution in X.

 -- Daniel Stone <daniels@debian.org>  Wed,  8 Sep 2004 22:01:19 +1000

xresprobe (0.3-0ubuntu4) warty; urgency=low

  * Make ddcprobe.sh exit 1 on an exit 1 (e.g. permission denied) from
    ddcprobe, and tighten up xresprobe so that it will always exit 1 when its
    subscripts exit 1.

 -- Daniel Stone <daniels@debian.org>  Mon,  6 Sep 2004 10:13:16 +1000

xresprobe (0.3-0ubuntu3) warty; urgency=low

  Changes by Fabio M. Di Nitto:

  * Add patch to compile on amd64 and return exit 1 on unsupported archs.
    (thanks to Thom)

  Changes by Daniel Stone:

  * Use $() instead of `` in xresprobe.
  * Fix regression with detecting BIOS (non-DDC) panels on Radeons.
  * Make 'atimisc', 'r128' and 'radeon' synonyms for ati.
  * Make ddcprobe.sh accept an optional argument of a filename to look
    through, rather than always invoking ddcprobe; makes it easier to add a
    testsuite later.
  * Switch to using res/name/freq in ddcprobe.sh, in line with xresprobe.
  * Grok custom 'timingX' lines in ddcprobe.sh, but not fully; lines are not
    properly calculated according to the GTF.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 25 Aug 2004 20:11:50 +0200

xresprobe (0.3-0ubuntu2) warty; urgency=low

  * Fix sed in ddcprobe.sh and make ppc laptop detection working again.
  * Add special case when there is only one resolution in ddcprobe.sh.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 25 Aug 2004 16:25:02 +0200

xresprobe (0.3-0ubuntu1) warty; urgency=low

  * Rewrite most of the scripts:
    + removed bashisms here and there.
    + ddcprobe returns frequencies too.
    + $ARCH was not set. never. Use uname -m and check for ppc and ppc64
    + ddcprobe was called when a X probe was required and viceversa on ppc
      laptops
    + simplified xresprobe logic.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Wed, 25 Aug 2004 13:47:14 +0200

xresprobe (0.2-0ubuntu2) warty; urgency=low

  * Fix detection on CRT.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Mon, 23 Aug 2004 06:35:00 +0200

xresprobe (0.2-0ubuntu1) warty; urgency=low

  * Add terrible hack for 'nv' driver, where the Virtual size log from
    xf86ValidateModes gets the LCD size for us.
  * Clean up tempfile handling (thanks, Colin Watson and James Troup).

 -- Daniel Stone <daniels@debian.org>  Thu, 19 Aug 2004 16:32:47 +0100

xresprobe (0.1-0ubuntu1) warty; urgency=low

  * First xresprobe release.

 -- Daniel Stone <daniels@debian.org>  Wed, 19 Aug 2004 12:16:03 +0100
