## xresprobe 0.4.16

=== ddcprobe/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ARCH := $(patsubst ppc%,ppc,$(ARCH))
 
 CC = gcc
-CFLAGS = -Wall -O2 -g# -DDEBUG
+CFLAGS = -W -Wall -O2 -g# -DDEBUG
 TARGETS = ddcprobe ddcxinfo 
 DDC_OBJS = vesamode.o common.o
 DDC_LIBS =
@@ -18,6 +18,14 @@
 endif
 
 ifeq ($(ARCH),x86_64)
+DDC_OBJS += stub.o
+endif
+
+ifeq ($(ARCH),sparc)
+DDC_OBJS += stub.o
+endif
+
+ifeq ($(ARCH),ia64)
 DDC_OBJS += stub.o
 endif
