## xresprobe 0.4.18

=== debian/changelog ===
xresprobe (0.4.18) hoary; urgency=low

  * ddcprobe: include stub functions by default, instead of a static
    architecture -> source list (thanks, LaMont Jones).
  * Add another Radeon panel string, although if we ever fall back here, we
    should have got the information via DDC.
  * Add panel identifier strings for chips.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sat,  2 Apr 2005 11:36:06 +1000

xresprobe (0.4.17) hoary; urgency=low

  * Loosen the Neomagic lcdsize case (closes: Ubuntu#8228).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sun, 27 Mar 2005 13:36:13 +1000

xresprobe (0.4.16) hoary; urgency=low

  * Merge from unreleased 0.5 branch: add support for 'rigging' xresprobe
    results.  XRESPROBE_RIG=noddc results in a null result being returned
    (f.e. a desktop where DDC fails) and XRESPROBE_RIG=log results in
    lcdsize.sh and bitdepth.sh being run across $XRESPROBE_RIG_LOG.
    XRESPROBE_RIG=ddc results in ddcprobe.sh being run across
    $XRESPROBE_RIG_DDC.  Driver will be taken from $XRESPROBE_DRIVER; bit
    depth check is run across $XRESPROBE_RIG_LOG, if it exists.
  * Add Replaces on kudzu-vesa (thanks, Otavio Salvador).
  * Add patch from Petter Reinholdtsen to fix compilation with gcc 2.95.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 17 Mar 2005 10:58:01 +1100

xresprobe (0.4.15) hoary; urgency=low

  * Add patch from Sven Luther to walk /sys looking for EDID data exported by
    (e.g.) radeonfb on alpha and powerpc, as well as checking the OF device
    tree (partially mitigates Ubuntu#7144).
  * Unconditionally fork X on i810, and grep the log to see if the card breaks
    with 'no modes supported at the current depth' (i.e. the BIOS authors
    didn't think 24bpp was a good idea), and output 'depth: 16' in this case
    to hint the X server in the direction of something that may work.  Yes,
    this is an awful hack, but it (closes: Ubuntu#6675).
    + Added bitdepth.sh; refactored xresprobe code to separate code to fork
      Xorg and capture the log into a forkx() function, which dodepthcheck()
      and doprobe() call.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 16 Mar 2005 23:09:28 +1100

xresprobe (0.4.14) hoary; urgency=low

  * Add magic strings for siliconmotion (tested), trident (untested), and
    via (untested) to lcdsize.sh.
  * Correct savage magic string in lcdsize.sh to be a little more portable.
  * Since some wack drivers like siliconmotion output multiple (identical!)
    panel size strings, just take the first one and hope for the best.
  * Change xfree86.* to xorg.* in xprobe.sh; clean xorg.conf up a little to be
    a bit more minimal.
  * Change author strings to ubuntu.com.
  
 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu,  3 Feb 2005 04:36:11 +1100

xresprobe (0.4.13) hoary; urgency=low

  * Add display type (disptype: either 'crt', 'lcd/lvds', or 'lcd/tmds') to
    xresprobe output.
  * Recommend laptop-detect (closes: Ubuntu#4650).
  * Change Maintainer to myself, change email address from canonical ->
    ubuntu.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 17 Jan 2005 13:23:08 +1100

xresprobe (0.4.12) hoary; urgency=low

  * Fix ia64 and sparc port.

 -- Fabio M. Di Nitto <fabbione@fabbione.net>  Sun, 21 Nov 2004 12:46:23 +0100

xresprobe (0.4.11) hoary; urgency=low

  * Add r128 case to lcdsize.sh (closes: Ubuntu#3189).

 -- Daniel Stone <daniel.stone@canonical.com>  Wed,  3 Nov 2004 11:44:13 +0100
