## xresprobe 0.4.19

=== ddcprobe/Makefile ===
--- 
+++ 
@@ -11,22 +11,12 @@
 ifeq ($(findstring $(ARCH),i386), $(ARCH))
 TARGETS += svgamodes modetest libvbe.a
 DDC_OBJS += lrmi.o vbe.o
-endif
-
+else
 ifeq ($(ARCH),ppc)
 DDC_OBJS += of.o minifind.o
-endif
-
-ifeq ($(ARCH),x86_64)
+else
 DDC_OBJS += stub.o
 endif
-
-ifeq ($(ARCH),sparc)
-DDC_OBJS += stub.o
-endif
-
-ifeq ($(ARCH),ia64)
-DDC_OBJS += stub.o
 endif
 
 ifeq (.depend,$(wildcard .depend))
