=== debian/changelog ===
xresprobe (0.4.19) breezy; urgency=low

  * Apply Debian patch to fix CRT/LCD regexp in ddcprobe.sh (closes: #328551).
  * Remap 1408x1050 to 1400x1050 by force on savages.  Yes, I know this is a
    horror freak show (closes: Ubuntu#15231).

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 16 Sep 2005 17:36:42 +1000

xresprobe (0.4.18-1) unstable; urgency=low

  * New upstream release.
    - FTBFS: missing stubs on several architectures. Closes: #309491;

 -- Otavio Salvador <otavio@debian.org>  Wed, 18 May 2005 00:43:19 -0300

xresprobe (0.4.16-1) unstable; urgency=low

  * Initial version for Debian.
  * Replace kudzu-vesa and then allow upgrades from woody.
  * Use simple-patch support of CDBS build system to apply patches in
    build time to fix issues while these patches weren't include by
    upstream.
  * debian/patches/10_gcc_2.95_fixes.diff: Added, while we were working on
    0.4.14, to fix some compilation issues Petter Reinholdtsen
    <pere@hungry.com> for the patch.
  * debian/patches/10_gcc_2.95_fixes.diff: Droped since was merged on
    0.4.16 upstream release.
  
 -- Otavio Salvador <otavio@debian.org>  Mon,  4 Apr 2005 11:15:24 -0300
