## xresprobe 0.4.23

=== debian/changelog ===
xresprobe (0.4.23) dapper; urgency=low

  * Fix vbe_get_vbe_info in stub.c to match the declaration.

 -- LaMont Jones <lamont@ubuntu.com>  Wed, 22 Mar 2006 16:11:56 -0700

xresprobe (0.4.22) dapper; urgency=low

  * More AMD64 support.  Reset the stack pointer on each call to LRMI_int
    (unless overridden in regs).  Without this, the second call to
    LRMI_int will always fail due to the stack size being too small.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 20 Feb 2006 13:55:47 +0100

xresprobe (0.4.21) dapper; urgency=low

  * Add support for amd64.  Take the thunking/x86emu parts from vbetool
    and reuse them here.  Great and many thanks go to both Matthew Garrett
    and the people who wrote x86emu.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 13 Feb 2006 14:42:03 +0100

xresprobe (0.4.20) dapper; urgency=low

  * Call Xorg explicitly, instead of guessing through the symlink.
  * ddcprobe: Dump the EDID for debugging purposes.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 25 Oct 2005 19:27:17 +1000
