=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_INSTALL_CHANGELOGS_ALL := 'debian/changelog.Ubuntu'

common-install-impl::
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xresprobe
