## xresprobe 0.4.23debian1

=== debian/changelog ===
xresprobe (0.4.23debian1) unstable; urgency=low

  * New release based in 0.4.23 release of Ubuntu.
    - Fixed FTBFS bug (closes: #358334)
  * Fix bashism on xresprobe script (closes: #318215)
  * Stop to install Ubuntu changelog since we're using the same changelog
    file right now.

 -- Otavio Salvador <otavio@debian.org>  Sat,  8 Apr 2006 11:00:30 -0300

xresprobe (0.4.22-1) unstable; urgency=low

  * New upstream release
  * Add myself to uploaders, since octavio didn't grab this after a month

 -- David Nusinow <dnusinow@debian.org>  Tue, 21 Mar 2006 22:03:54 -0500
