## xresprobe 0.4.24

=== debian/changelog ===
xresprobe (0.4.24) edgy; urgency=low

  * Fix bashism in ddcprobe.sh.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 17 Jul 2006 21:20:13 +0100
