## xresprobe 0.4.24ubuntu3

=== debian/changelog ===
xresprobe (0.4.24ubuntu3) feisty; urgency=low

  * xprobe.sh: use autoprobing only if the driver is vesa.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu,  8 Mar 2007 12:14:54 +0200

xresprobe (0.4.24ubuntu2) feisty; urgency=low

  * lcdsize.sh: add a missing 'getres'.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed,  7 Mar 2007 20:34:43 +0200

xresprobe (0.4.24ubuntu1) feisty; urgency=low

  * lcdsize.sh:
    - Add support for vesa.
  * xprobe.sh:
    - Don't use the bare-bones config, instead rely on the new xserver
      to be clever.
  * debian/control:
    - Change the Maintainer address.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed,  7 Mar 2007 15:57:51 +0200
