## xresprobe 0.4.24ubuntu8

=== debian/changelog ===
xresprobe (0.4.24ubuntu8) gutsy; urgency=low

  * Fix typo in previous upload

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 15 Oct 2007 01:53:14 -0700

xresprobe (0.4.24ubuntu7) gutsy; urgency=low

  * Expanding the previous xprobe.sh fix, to prevent calling
    xprobe.sh for -intel even if the ddcprobe failed.  
    (Re-closes LP:  #127008)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 15 Oct 2007 00:18:33 -0700

xresprobe (0.4.24ubuntu6) gutsy; urgency=low

  [Tormod Volden]
  * lcdsize.sh: fix vesa sed regexp so that resolutions are returned
    correctly without trailing text.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Wed, 10 Oct 2007 18:21:05 +0300

xresprobe (0.4.24ubuntu5) gutsy; urgency=low

  * xorg.conf: Fix xprobe.sh failure caused by missing type1 module;
    this was dropped by Debian for xserver 1.3 since it's obsolete and
    has some security issues.  (Addresses portion of fix for 127008)
  * xresprobe: Fix issue in alternate installation for Intel gfx laptops
    resulting in screen to be replaced by flashing colored blocks, by
    making xresprobe use ddcprobe instead of xprobe for laptops using
    the -intel driver.  (Closes LP: #127008 and many, many duplicates)
  * ddcprobe.sh: Fix resolution detection error where LCD's would get
    configured to use one resolution less than their maximum because
    ddcprobe cannot tell the difference between an analog attached LCD
    and a CRT.  (Closes LP: #27667)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 27 Sep 2007 17:57:22 -0700

xresprobe (0.4.24ubuntu4) gutsy; urgency=low

  * Add support for the Intel driver 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 10 Aug 2007 21:15:44 +0100
