## xresprobe 0.4.24ubuntu9

=== Makefile ===
--- 
+++ 
@@ -15,4 +15,6 @@
 	install -m755 xprobe.sh $(DESTDIR)$(DATADIR)/
 	install -m755 ddcprobe.sh $(DESTDIR)$(DATADIR)/
 	install -m755 lcdsize.sh $(DESTDIR)$(DATADIR)/
-	install -m644 xfree86.conf $(DESTDIR)$(DATADIR)/
+	install -m755 bitdepth.sh $(DESTDIR)$(DATADIR)/
+	install -m755 rigprobe.sh $(DESTDIR)$(DATADIR)/
+	install -m644 xorg.conf $(DESTDIR)$(DATADIR)/
