=== ddcprobe/Makefile ===
--- 
+++ 
@@ -3,19 +3,23 @@
 ARCH := $(patsubst ppc%,ppc,$(ARCH))
 
 CC = gcc
-CFLAGS = -W -Wall -O2 -g# -DDEBUG
+CFLAGS = -W -Wall  -g -O2 #-DDEBUG
 TARGETS = ddcprobe ddcxinfo 
 DDC_OBJS = vesamode.o common.o
 DDC_LIBS =
 
 ifeq ($(findstring $(ARCH),i386), $(ARCH))
 TARGETS += svgamodes modetest libvbe.a
-DDC_OBJS += lrmi.o vbe.o
+DDC_OBJS += x86-common.o lrmi.o vbe.o
+else
+ifeq ($(findstring $(ARCH),x86_64), $(ARCH))
+DDC_OBJS += x86-common.o vbe.o thunk.o x86emu/libx86emu.a
 else
 ifeq ($(ARCH),ppc)
 DDC_OBJS += of.o minifind.o
 else
 DDC_OBJS += stub.o
+endif
 endif
 endif
 
@@ -40,10 +44,13 @@
 ddcxinfo: $(DDC_OBJS) ddcxinfo.o
 	$(CC) $(CFLAGS) -o ddcxinfo $(DDC_OBJS) ddcxinfo.o $(DDC_LIBS)
 
+x86emu/libx86emu.a:
+	make -C x86emu libx86emu.a
+
 # i386 targets
-svgamodes: lrmi.o vesamode.o vbe.o svgamodes.o
-modetest: lrmi.o vesamode.o vbe.o modetest.o
-libvbe.a: lrmi.o vesamode.o vbe.o
+svgamodes: x86-common.o lrmi.o vesamode.o vbe.o svgamodes.o
+modetest: x86-common.o lrmi.o vesamode.o vbe.o modetest.o
+libvbe.a: x86-common.o lrmi.o vesamode.o vbe.o
 	$(AR) cru $@ $^
 
 install-lib: $(prefix)/include/vbe.h $(prefix)/lib/libvbe.a
@@ -56,6 +63,7 @@
 
 clean:
 	$(RM) $(TARGETS) *.o .depend core
+	make -C x86emu clean
 
 depend:
 	$(CPP) -M $(CFLAGS) *.c > .depend
