=== debian/changelog ===
xresprobe (0.4.24ubuntu9) karmic; urgency=low

  * ddcprobe/lrmi.c:
    - Define *_MASK to fix FTBFS on newer kernels.

 -- Chris Coulson <chrisccoulson@ubuntu.com>  Sun, 04 Oct 2009 01:29:02 +0100
