=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: xresprobe
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Otavio Salvador <otavio@debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Uploaders: Otavio Salvador <otavio@debian.org>, David Nusinow <dnusinow@debian.org>
 Build-Depends: debhelper (>= 4.0.0), cdbs
 Standards-Version: 3.6.1.0
